org.keycloak.services.managers

## Class AppAuthManager

- java.lang.Object
- - org.keycloak.services.managers.AuthenticationManager
  - - org.keycloak.services.managers.AppAuthManager

-     public class AppAuthManager
      extends AuthenticationManager

  Author:
    Bill Burke, Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AppAuthManager.BearerTokenAuthenticator`

    - ### Nested classes/interfaces inherited from class org.keycloak.services.managers.AuthenticationManager

      `AuthenticationManager.AuthenticationStatus, AuthenticationManager.AuthResult`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.services.managers.AuthenticationManager

      `AUTH_TIME, CLIENT_LOGOUT_STATE, END_AFTER_REQUIRED_ACTIONS, FORM_USERNAME, INVALIDATE_ACTION_TOKEN, KEYCLOAK_IDENTITY_COOKIE, KEYCLOAK_LOGOUT_PROTOCOL, KEYCLOAK_REMEMBER_ME, KEYCLOAK_SESSION_COOKIE, logger, SET_REDIRECT_URI_AFTER_REQUIRED_ACTIONS, SSO_AUTH, USER_SESSION_PERSISTENT_STATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppAuthManager()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticationManager.AuthResult` | `authenticateIdentityCookie(KeycloakSession session, RealmModel realm)`
    `static String` | `extractAuthorizationHeaderToken(javax.ws.rs.core.HttpHeaders headers)` Extracts the token string from the Authorization Bearer Header.
    `static String` | `extractAuthorizationHeaderTokenOrReturnNull(javax.ws.rs.core.HttpHeaders headers)` Extracts the token string from the Authorization Bearer Header.

    - ### Methods inherited from class org.keycloak.services.managers.AuthenticationManager

      `actionRequired, authenticateIdentityCookie, backchannelLogout, backchannelLogout, backchannelLogout, backchannelLogoutUserFromClient, browserLogout, createIdentityToken, createLoginCookie, createRememberMeCookie, createRequiredAction, evaluateRequiredActionTriggers, executionActions, expireCookie, expireIdentityCookie, expireOldAuthSessionCookie, expireOldIdentityCookie, expireRememberMeCookie, expireUserSessionCookie, finishBrowserLogout, finishedRequiredActions, finishUnconfirmedUserSession, getAccountCookiePath, getClientLogoutAction, getIdentityCookiePath, getOldCookiePath, getRealmCookiePath, getRememberMeUsername, getSessionIdFromSessionCookie, isOfflineSessionValid, isSessionValid, isSSOAuthentication, logSuccess, lookupUserForBruteForceLog, nextActionAfterAuthentication, nextRequiredAction, redirectAfterSuccessfulFlow, redirectAfterSuccessfulFlow, redirectToRequiredActions, setClientLogoutAction, setClientScopesInSession, setKcActionStatus, verifyIdentityToken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppAuthManager

          public AppAuthManager()

  - ### Method Detail

    - #### authenticateIdentityCookie

          public AuthenticationManager.AuthResult authenticateIdentityCookie(KeycloakSession session,
                                                                             RealmModel realm)

      Overrides:
        `authenticateIdentityCookie` in class `AuthenticationManager`

    - #### extractAuthorizationHeaderTokenOrReturnNull

          public static String extractAuthorizationHeaderTokenOrReturnNull(javax.ws.rs.core.HttpHeaders headers)

      Extracts the token string from the Authorization Bearer Header.
      Parameters:
        `headers` -
      Returns:
        the token string or null if the Authorization header is not of type Bearer, or the token string is missing.

    - #### extractAuthorizationHeaderToken

          public static String extractAuthorizationHeaderToken(javax.ws.rs.core.HttpHeaders headers)

      Extracts the token string from the Authorization Bearer Header.
      Parameters:
        `headers` -
      Returns:
        the token string or null of the Authorization header is missing
      Throws:
        `javax.ws.rs.NotAuthorizedException` - if the Authorization header is not of type Bearer, or the token string is missing.

Copyright © 2021 JBoss by Red Hat. All rights reserved.